Skip to navigation

Update an Automation Input Generator

Update an Automation Input Generator

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

input_generator_idstringRequired

Request

This endpoint expects an object.
fileIdstring or nullOptional

The ID of the file (blob) associated with the input generator. Set to null to remove an existing file from the generator.

Response

OK
assayRunIdstringOptional
automationFileConfigobjectOptional
fileobject or nullOptional
idstringOptional
statusenumOptional
Allowed values:
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Automation Input Generator in the API.
createdAtdatetimeOptionalRead-only
DateTime the Automation Input Generator was last modified
modifiedAtdatetimeOptionalRead-only
DateTime the Automation Input Generator was last modified
transformslist of objectsOptional

Errors

400
Bad Request Error